aboutsummaryrefslogtreecommitdiffstats
path: root/meta/files/ptest-perl/run-ptest
diff options
context:
space:
mode:
authorTim Orling <timothy.t.orling@linux.intel.com>2018-03-04 03:04:20 -0800
committerTim Orling <timothy.t.orling@linux.intel.com>2018-03-04 03:04:20 -0800
commit2918d33de857ec94e839e09965cb8335307c3c31 (patch)
tree8991937916d03ef5f1128ebfeb4bfe7ec125c325 /meta/files/ptest-perl/run-ptest
parent8e4ece7bf0b09275a34ce8e7cc3e1e54a366c361 (diff)
downloadopenembedded-core-contrib-2918d33de857ec94e839e09965cb8335307c3c31.tar.gz
meta/classes: add ptest-perl.bbclass
* Enable easier testing of perl modules - Installs t/* to PTEST_PATH - Uses common run-ptest script Signed-off-by: Tim Orling <timothy.t.orling@linux.intel.com>
Diffstat (limited to 'meta/files/ptest-perl/run-ptest')
-rw-r--r--meta/files/ptest-perl/run-ptest16
1 files changed, 16 insertions, 0 deletions
diff --git a/meta/files/ptest-perl/run-ptest b/meta/files/ptest-perl/run-ptest
new file mode 100644
index 0000000000..c9f9ca94d0
--- /dev/null
+++ b/meta/files/ptest-perl/run-ptest
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+for case in `find t -type f -name '*.t'`; do
+ perl $case >$case.output 2>&1
+ ret=$?
+ cat $case.output
+ if [ $ret -ne 0 ]; then
+ echo "FAIL: ${case%.t}"
+ elif grep -i 'SKIP' $case.output; then
+ echo "SKIP: ${case%.t}"
+ else
+ echo "PASS: ${case%.t}"
+ fi
+
+ rm -f $case.output
+done